Subject: bug#22003: 24.5; *vc-dir* show ignored files for Mercurial

From: Dmitry Gutov <[email-masked]>
Date: Sun, 8 May 2016 22:47:43 +0300

On 05/08/2016 07:25 PM, Nikolay Kudryavtsev wrote:

> There is this new functionality that you're referring to, that shows
> *modified* ignored files. The problem is that it does not work right in
> 24.5. Instead it leaks *all* ignored files, when you do g.
>
> In 25 this seems to have been fixed.

It probably was http://debbugs.gnu.org/cgi/bugreport.cgi?bug=22481.

> With the behavior of x it's the same - this got changed in 25.
>
> I don't mind showing *modified* ignored by default.

OK, maybe this bug can be closed. Oleksandr, could you try a pretest 
build of Emacs 25 and see if it behaves better for you?